Bug 19818 - Add id into tag html from moremember.tt
Summary: Add id into tag html from moremember.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: helene
QA Contact: Katrin Fischer
URL:
Keywords: Academy
: 19416 (view as bug list)
Depends on:
Blocks: 22134
  Show dependency treegraph
 
Reported: 2017-12-15 08:32 UTC by delaye
Modified: 2019-02-06 17:54 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19818: Added id's to the li tags for labels (7.26 KB, patch)
2018-01-16 03:10 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19818: Added id's to the li tags for labels (7.32 KB, patch)
2018-01-16 14:00 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19818: Fixing forbidden pattern by using spaces rather than tabs for indentation on lines 396, 492 & 495 in koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt (2.52 KB, patch)
2018-01-17 20:18 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19818: Added appropriate id to all the list items under libary use heading. (7.63 KB, patch)
2019-01-16 03:37 UTC, helene
Details | Diff | Splinter Review
Bug 19818: Added appropriate id to all the list items under libary use heading. (7.97 KB, patch)
2019-01-16 22:58 UTC, helene
Details | Diff | Splinter Review
Bug 19818: Thanks, this patch should work. (14.40 KB, patch)
2019-01-17 01:12 UTC, helene
Details | Diff | Splinter Review
Bug 19818: Add id into tag html from moremember.tt (14.67 KB, patch)
2019-01-17 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19818: Add id into tag html from moremember.tt (14.73 KB, patch)
2019-01-20 11:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description delaye 2017-12-15 08:32:58 UTC
In this screen /cgi-bin/koha/members/moremember.pl?
I have several li tags html without id. So when I want custom the labels with the preference system 'intranetuserjs', i can't... from the record patron (memberentry.pl)...it is possible
....
Comment 1 Katrin Fischer 2017-12-28 07:15:38 UTC
Hi, you can still change the labels, but it's not as easy. Try using :contains('...') on the page with the text of the label. But using ids would make this easier - marking this patch for Academy.
Comment 2 Aleisha Amohia 2018-01-08 00:33:15 UTC
*** Bug 19416 has been marked as a duplicate of this bug. ***
Comment 3 Zoe Bennett 2018-01-16 03:10:22 UTC Comment hidden (obsolete)
Comment 4 Claire Gravely 2018-01-16 14:00:25 UTC Comment hidden (obsolete)
Comment 5 Josef Moravec 2018-01-17 14:37:29 UTC
Looking good, just a small isuue: the spaces need to be used for indentation, not tabs. 

QA tool reports:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 495)
		forbidden pattern: tab char (line 492)
		forbidden pattern: tab char (line 396)
Comment 6 Zoe Bennett 2018-01-17 20:18:54 UTC Comment hidden (obsolete)
Comment 7 Victor Grousset/tuxayo 2018-02-16 11:43:53 UTC
Hi, after discussing with delaye, can I add a patch with following changes? (except if for {learning, fun, wanting this bug to be finished quickly} reasons someone else wants to do it)

1. Change some of the new ids, e.g. #surname → #alt-contact-surname
     To add more semantic and avoid id collisions.
     Mosty in #patron-alternative-contact

2.  #borrowernumber → #library-use-borrowernumber
      #borrowernumber is already used in «Upload patron image»

3. #zip/postalcode → #zip-postal-code
     / are valid in HTML but will be a pain when using selectors in CSS or JavaScript
     https://stackoverflow.com/questions/27255591/using-forward-slash-as-id-attribute#27256827

4. In #patron-alternate-address add ids, this section was forgotten.
     The trap was that me must fill all the field when editing the patron to ensure that they are displayed in the profile.

5. Add ids to the <li>s of #patron-information
Comment 8 Victor Grousset/tuxayo 2018-03-21 09:29:11 UTC
Can I continue the work on this bug?
Comment 9 Katrin Fischer 2018-03-25 22:22:33 UTC
Hi Victor, I think it's safe to take this one, if you want to. Please make your changes in a follow-up.
Comment 10 helene 2019-01-16 03:37:19 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2019-01-16 21:27:04 UTC
It looks like the codebase changed a bit since the patch was written. There is a conflict now in moremember.tt. Can you please rebase?
Comment 12 helene 2019-01-16 22:58:21 UTC Comment hidden (obsolete)
Comment 13 Owen Leonard 2019-01-17 00:21:58 UTC
(In reply to Katrin Fischer from comment #11)
> It looks like the codebase changed a bit since the patch was written. There
> is a conflict now in moremember.tt. Can you please rebase?

Helene is your patch supposed to be applied on master with or without the patches already on this bug? The older patches don't apply now. The best way to approach this might be to obsolete the older patches and re-implement their changes on master.
Comment 14 helene 2019-01-17 01:12:12 UTC Comment hidden (obsolete)
Comment 15 Owen Leonard 2019-01-17 16:10:37 UTC
Created attachment 84146 [details] [review]
Bug 19818: Add id into tag html from moremember.tt

1) Go to the patron details for a patron
2) On the right of the screen, right click one of the labels below
   'Library use' etc, and Inspect Element
3) View <li> tags which should now each have a unique <id> tag for each

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 16 Katrin Fischer 2019-01-20 11:33:38 UTC
Created attachment 84239 [details] [review]
Bug 19818: Add id into tag html from moremember.tt

1) Go to the patron details for a patron
2) On the right of the screen, right click one of the labels below
   'Library use' etc, and Inspect Element
3) View <li> tags which should now each have a unique <id> tag for each

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Nick Clemens 2019-01-28 16:09:10 UTC
Awesome work all!

Pushed to master for 19.05
Comment 18 Martin Renvoize 2019-02-01 14:47:39 UTC
Pushed to 18.11.x for 18.11.03
Comment 19 Jesse Maseto 2019-02-06 17:54:10 UTC
Merge conflict with 18.05.x. Please rebase if needed in 18.05.x.